/** @file  tst_psConfigure.c
 *
 *  @brief Test driver for psconfigure functions
 *
 *  This test driver contains the following test points for psConfigure
 *  functions.
 *    1) Return current psLib version
 *
 *  Return:   Number of test points which failed
 *
 *  @author  Ross Harman, MHPCC
 *
 *  @version $Revision: 1.1 $  $Name: not supported by cvs2svn $
 *  @date  $Date: 2006-12-18 19:18:46 $
 *
 *  Copyright 2004-2005 Maui High Performance Computing Center, University of Hawaii
 *
 */

#include "pslib.h"
#include "tap.h"
#include "pstap.h"


static psS32 psLibVersion00(void);


psS32 main(psS32 argc, char* argv[])
{
    plan_tests(1);

    psLibVersion00();
}


static psS32 psLibVersion00(void)
{
    diag("psLibVersion00");

    char *stringVal = NULL;
    stringVal = psLibVersion();
    ok( stringVal != NULL && strlen(stringVal), "Version is cool");
    psFree(stringVal);

    return 0;
}

